<?php

namespace Drupal\ixm_components_ui_kit\TwigExtension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class FileGetContents extends AbstractExtension {

  /**
   * This is the same name we used on the services.yml file
   */
  public function getName() {
    return 'ixm_components_ui_kit.file_get_contents';
  }

  public function getFunctions() {
    return [
      new TwigFunction('fileGetContents', array($this, 'fileGetContents')),
    ];
  }

  public function fileGetContents($file) {
    return file_get_contents($file);
  }
}
